searchcon(1)

NAME
searchcon - SELinux file context search tool for indexes

SYNOPSIS
searchcon <index file> [OPTIONS]

DESCRIPTION
This manual page describes the searchcon command.

searchcon allows the user to search file context indexes created by the indexcon command.

OPTIONS

-t type, --type=typename
    The name of the type to search for

-u user, --user=username
    The name of the user to search for

-m range, --mls-range=range
    MLS range to search for

-p path, --path=pathname
    The path or path fragment to search for

-o object, --object=class
    The name of the object class to search for

-r, --regex
    Search using regular expressions

-l, --list
    List types in the snapshot

-h, --help
    Display help information and exit

-v, --version
    Display version information and exit

INFORMATION
Valid object classes are

file, dir, lnk_file, chr_file, blk_file, sock_file, fifo_file, all_files

AUTHOR
This manual page was written by Kevin Carr <kcarr@tresys.com>.

COPYRIGHT
Copyright(C) 2006 Tresys Technology, LLC

SEE ALSO
findcon(1), replcon(1), searchcon(1), indexcon(1)